CRAN Package Check Results for Package PosteriorBootstrap

Last updated on 2021-09-22 07:51:31 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.1 4.50 466.68 471.18 OK
r-devel-linux-x86_64-debian-gcc 0.1.1 3.67 325.67 329.34 OK
r-devel-linux-x86_64-fedora-clang 0.1.1 569.57 NOTE
r-devel-linux-x86_64-fedora-gcc 0.1.1 586.56 NOTE
r-devel-windows-x86_64 0.1.1 6.00 41.00 47.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.1.1 ERROR
r-patched-linux-x86_64 0.1.1 4.02 438.71 442.73 OK
r-patched-solaris-x86 0.1.1 120.10 NOTE
r-release-linux-x86_64 0.1.1 3.96 450.38 454.34 OK
r-release-macos-arm64 0.1.1 NOTE
r-release-macos-x86_64 0.1.1 NOTE
r-release-windows-ix86+x86_64 0.1.1 9.00 53.00 62.00 OK
r-oldrel-macos-x86_64 0.1.1 NOTE
r-oldrel-windows-ix86+x86_64 0.1.1 7.00 36.00 43.00 OK

Check Details

Version: 0.1.1
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘Rcpp’ ‘StanHeaders’ ‘dplyr’ ‘ggplot2’ ‘gridExtra’ ‘rstan’ ‘tibble’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.1.1
Check: package dependencies
Result: ERROR
    Packages required but not available: 'rstan', 'StanHeaders'
    
    Packages suggested but not available for checking: 'lintr', 'roxygen2'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT